import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Collections;
import java.util.Scanner;

public class ROT13  {

    private int shift;

    ROT13(Character cs, Character cf) {
        this.shift = cs-cf;
    }

    ROT13() {
        shift = 13;
    }


    public String crypt(String text) throws UnsupportedOperationException {

        StringBuilder build = new StringBuilder();
        char[] arr = text.toCharArray();
        for (char a: arr) {
            char c = a;
            if((c >= 'a' && c<= 'm') || (c >= 'A' && c<= 'M')){
                c += 13;
            }
            else if((c >= 'n' && c <= 'z') || (c>= 'N' && c <= 'Z')){
                c-= 13;
            }
            build.append(c);
        }
        return build.toString();
    }




    public String encrypt(String text) {
        return crypt(text);
    }

    public String decrypt(String text) {
        return crypt(text);
    }

    public static String rotate(String s, Character c) {
        String rotate = s.substring(s.indexOf(c));
        String rotateNext = s.substring(0,s.indexOf(c));


        return rotate.concat(rotateNext);
    }

    public String encrptFile(String filename) throws FileNotFoundException{
        StringBuilder build = new StringBuilder();

        File f = new File(filename);
        try(Scanner scan = new Scanner(f)){
            while(scan.hasNextLine()){

                String line = scan.nextLine();
                String rot13 = this.encrypt(line);
                build.append(rot13+ "\n");
            }
        }
        catch (FileNotFoundException e){
            e.printStackTrace();
        }



        return build.toString();
    }

}
